Subject: Re: bug#11830: 24.1; "scroll-bar-mode disabled" not honored when emacs started as daemon

From: Reynaldo Baquerizo <[email-masked]>
Date: Sun, 1 Jul 2012 14:54:57 -0500

> > In my .emacs file I keep this
> >
> > (if (fboundp 'menu-bar-mode) (menu-bar-mode -1))
> > (if (fboundp 'tool-bar-mode) (tool-bar-mode -1))
> > (if (fboundp 'scroll-bar-mode) (scroll-bar-mode -1))
> >
> > - I start emacs as a daemon. emacs --daemon
> > - I create a new frame. emacsclient -c
> >
> > I expect:
> > A frame with no scroll-bar
> 
> Works for me. I tried both Gtk and Lucid toolkit builds.

I left only those lines in my .emacs file and it did work.
Later I found that messing with default-frame-alist produced the unwanted result.

(setq default-frame-alist '((font . "Monaco-11"))

If instead I use:
(add-to-list 'default-frame-alist '(font . "Monaco-11"))

then it's OK.

It's a bit confusing the behaviour of frame related parameterers when used --daemon.

With the .emacs working file the value of default-parameter-list is

Its value is ((width . 112)
 (height . 30)
 (font . "Monaco-11")
 (vertical-scroll-bars))

I know that when --daemon is used initial-parameter-list has no effect, but
default-parameter-list does. 

Then, that (vertical-scroll-bars) shouldn't make new frames have a scroll-bar?